Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui
Class ImageBordersPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.maryanovsky.gwtutils.client.ui.ImageBordersPanel

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, AcceptsOneWidget, HasOneWidget, HasWidgets, HasWidgets.ForIsWidget, IsWidget, Iterable<Widget>

    public class ImageBordersPanel

extends SimplePanel

A panel which decorates its contents with a border specified by 16 images (3 at each side and one at each corner). Note that the panel must be either absolutely or relatively positioned, and its size must be set explicitly.

Author:
  Maryanovsky Alexander

Nested Class Summary
`static interface` | `ImageBordersPanel.BorderImages` The interface specifying the images.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`HasWidgets.ForIsWidget`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ImageBordersPanel(ImageBordersPanel.BorderImages borderImages)` Creates a new `ImageBordersPanel` with the specified `ImageBordersPanel.BorderImages`.

Method Summary
`protected Element` | `getContainerElement()` Returns the element where the child widget is to be placed.

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getWidget, iterator, remove, setWidget, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageBordersPanel

    @UiConstructor
    public ImageBordersPanel(ImageBordersPanel.BorderImages borderImages)

  Creates a new `ImageBordersPanel` with the specified `ImageBordersPanel.BorderImages`.

Method Detail

### getContainerElement

    protected Element getContainerElement()

  Returns the element where the child widget is to be placed.

  Overrides:
    `getContainerElement` in class `SimplePanel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD